<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Coupon's</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Coupon's</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
          <div class="row mg-b-25">
            <div class="col-lg-3">
              <div class="form-group">
                <label class="form-control-label"
                  >Code: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="code"
                  placeholder="Enter Code"
                />
              </div>
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                  <label class="form-control-label"
                    >Type: <span class="tx-danger">*</span></label
                  >
                  <select style="width: 190px;height: 40px;" name="type">
                    <option value="">--Please Select--</option>
                    <option value="1">Percentage</option>
                    <option value="2">Amount</option>
                  </select>

                </div>
              </div>
              <div class="col-lg-3">
                <div class="form-group">
                  <label class="form-control-label"
                    >Value: <span class="tx-danger">*</span></label
                  >
                  <input
                    class="form-control"
                    type="number"
                    name="value" min="1"
                    placeholder="Enter Value " autocomplete="off"
                  />
                </div>
              </div>

              <div class="col-lg-3">
                <div class="form-group">
                  <label class="form-control-label"
                    >Limit: <span class="tx-danger">*</span></label
                  >
                  <input
                    class="form-control"
                    type="text"
                    name="limit"
                    placeholder="Enter Limit "
                  />
                </div>
              </div>

            <!-- col-4 -->
          </div>

          <div class="row mg-b-25">
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Amount Purchase: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="purchase_amount"
                  placeholder="Enter Amount"
                />
              </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Mode: <span class="tx-danger">*</span></label
                  >
                  <select style="width: 350px;height: 40px;" name="mode">
                      <option value="">--Please Select--</option>
                       <option value="1">Greater (>)</option>
                        <option value="2">Equal(=)</option>
                        <option value="3">Lesser(<)</option>
                  </select>

                </div>
              </div>
              

             

            <!-- col-4 -->
          </div>


          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table class="table mg-b-0">
            <thead>
              <tr>
                <th>ID</th>
                <th>Code</th>
                <th>Type</th>
                <th>Value</th>
                <th>Purchase Amount</th>
                <th>Mode</th>
                <th>Remaining</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <% var i = 0; %>
              <% voucher.forEach(function(voucher,index){ %>
              <tr>
                <th scope="row"><%= voucher.id %></th>
                <td><%= voucher.code %></td>
                <td><%= voucher.type %></td>
                <td><%= voucher.value %></td>
                <td><%= voucher.purchase_amount %></td>
                <td> <% if (voucher.mode == 1) { %>
                Grater<% } else if (voucher.mode == 2) { %>
                Equal
                <% } else if (voucher.mode == 3) { %>
                Lesser  <% } %></td>

                <% if (voucher.remaining_count == 0) { %>
                <td><b style='color:red;'>All Coupons Used</b></td>
                <% } else if (voucher.remaining_count <= 10) { %>
                <td><b style='color:red;'> <%= voucher.remaining_count %></b> </td>
                <% } else { %>
                <td><b style='color:green;'><%= voucher.remaining_count %></b></td>
                <% } %>


                <td>
                  <% if (voucher.active == 1) { %>
                      Active
                   <% } else { %>
                   <b style='color:red;'> In-Active</b> 
                    <% } %>
                </td>


                <td>
                  <div class="btn-group" role="group" aria-label="Basic example">
                   
                    <% if (voucher.active == 1) { %>
                      <a href="/voucher_inactive/<%=voucher.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make inactive"
                  >
                    <i class="fa fa-eye-slash"></i>
                  </button>
                </a>
                  <% } else { %>
                    <a href="/voucher_active/<%=voucher.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Make active"
                >
                  <i class="fa fa-eye"></i>
                </button>
                </a>
                <% } %>



                  </div>
                </td>
              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>

<script>
  $("#mainForm").validate({
    normalizer: function (value) {
      return $.trim(value);
    },
    rules: {
      code: {
        required: true,
      },
      type: {
        required: true,
      },
      value: {
        required: true,
      },
      limit: {
        required: true,
      },
      mode: {
        required: true,
      },
      purchase_amount: {
        required: true,
      },
    },
    messages: {
      code: {
        required: "Code is required",
      },
      type: {
        required: "Type is required",
      },
      value: {
        required: "Values is required",
      },
      limit: {
        required: "Limit is required",
      },
      mode: {
        required: "Mode is required",
      },
      purchase_amount: {
        required: "Purchase Amount is required",
      },
    },
    submitHandler: function (form) {
      $("button").prop("disabled", "disabled");
      var form = document.getElementById("mainForm");
      // var data = new FormData(form);
      $.ajax({
        type: "POST",
        url: "/voucher_register",
        data: $(form).serialize(),
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (data) {
          if (data.status == 1) {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          } else {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          }
          $("button").prop("disabled", false);
        },
        error: function (err) {
          $("button").prop("disabled", false);
        },
      });
      return false;
    },
  });
</script>

<%-include('./shared/footer.ejs')%>



